using Microsoft.Extensions.Caching.Memory;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.WSServer.Fake;

internal class DummyMemoryCache : IMemoryCache
{
    public ICacheEntry CreateEntry(object key)
    {
        return null;
    }

    public void Dispose()
    {
    }

    public void Remove(object key)
    {
    }

    public bool TryGetValue(object key, out object value)
    {
        value = default(object);
        return false;
    }
}
